postinst *always* tries to add ssl-cert group because the conditional is wrong.

Bug #316216 reported by William Ahern
2
Affects Status Importance Assigned to Milestone
ssl-cert (Ubuntu)
Fix Released
Undecided
Unassigned

Bug Description

Binary package hint: ssl-cert

The conditional checks the passwd database, but adds to the group database. The result is that addgroup is always executed.

Two potential patches:

--- postinst.old 2009-01-12 01:06:57.000000000 +0000
+++ postinst 2009-01-12 01:08:34.000000000 +0000
@@ -3,7 +3,7 @@
 . /usr/share/debconf/confmodule

 # Create the ssl-cert system group for snakeoil ownership:
-if ! getent passwd ssl-cert >/dev/null; then
+if ! getent group ssl-cert >/dev/null; then
  addgroup --quiet --system ssl-cert
 fi

OR

--- postinst.old 2009-01-12 01:06:57.000000000 +0000
+++ postinst 2009-01-12 01:10:46.000000000 +0000
@@ -3,9 +3,7 @@
 . /usr/share/debconf/confmodule

 # Create the ssl-cert system group for snakeoil ownership:
-if ! getent passwd ssl-cert >/dev/null; then
- addgroup --quiet --system ssl-cert
-fi
+addgroup --quiet --system ssl-cert

Revision history for this message
Serge Hallyn (serge-hallyn) wrote :

Thanks, this appears to now be fixed in postinst.

Changed in ssl-cert (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.